%define		_state		stable
%define		qtver		5.5.1
%define		orgname		kdevelop-pg-qt

Summary:	The parser-generator from KDevplatform
Name:		ka5-kdevelop-pg-qt
Version:	2.2.2
Release:	1
License:	GPL
Group:		X11/Development/Tools
Source0:	https://download.kde.org/%{_state}/%{orgname}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	54e7c85ae921c8161dc8e5d8b39abf53
URL:		http://www.kdevelop.org/
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Test-devel
BuildRequires:	bison
BuildRequires:	cmake >= 2.8.0
BuildRequires:	flex
BuildRequires:	kf5-extra-cmake-modules >= 5.14.0
BuildRequires:	rpmbuild(macros) >= 1.600
Obsoletes:	kde4-kdevelop-pg-qt
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDevelop-PG-Qt is the parser-generator from KDevplatform. It is used
for some KDevelop-languagesupport-plugins (Ruby, PHP, Java...).

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kdev-pg-qt
%{_includedir}/%{orgname}
%{_libdir}/cmake/KDevelop-PG-Qt
%changelog
* Sun Jun 18 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kdevelop-pg-qt.git;a=log;h=master

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> e805ed9
- updated to 2.2.2

* Sun Dec 13 2020 Bartek Szady <bszx@bszx.eu> 95c6918
- updated to 2.2.1

* Mon Nov 19 2018 Bartek Szady <bszx@bszx.eu> 554ffed
- updated to 2.1.0

* Sun Sep 18 2016 Bartek Szady <bszx@bszx.eu> c80075f
- updated to 2.0 for gt5 and kf5

* Tue Mar 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ba1c4b
- up to 1.0.0

* Sat Apr 09 2011 Andrzej Augustyński <august84@pld-linux.org> c575d09
- up to 0.9.5
- adjusted to new cmake macro

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 70eb224
- BR: bison, flex

* Tue Oct 26 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7b78258
- initial

